summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorIan Moffett <ian@osmora.org>2025-05-05 22:39:31 -0400
committerIan Moffett <ian@osmora.org>2025-05-05 22:39:31 -0400
commit70e3cae26d462182439d74544a04b815bd920f39 (patch)
treee3f837bbc19c5221def468665e0432303a823e1c /tools
parent2826c8b23631e183983b0c009ce01397924bf0f9 (diff)
tools: Add mktap scriptexpt
Add script to create TAP interface Signed-off-by: Ian Moffett <ian@osmora.org>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/mktap13
1 files changed, 13 insertions, 0 deletions
diff --git a/tools/mktap b/tools/mktap
new file mode 100755
index 0000000..393a692
--- /dev/null
+++ b/tools/mktap
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+ip tuntap add dev tap0 mode tap
+ip link set tap0 up
+echo "mktap: tap0 is UP"
+
+ip link add name br0 type bridge
+ip addr add 192.168.100.1/24 dev br0
+ip link set br0 up
+ip link set tap0 master br0
+echo "mktap: tap0 master br0"